{{- if $.Values.ingress.enabled }}
{{- if $.Values.api.enabled }}
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
{{ include "ska-sdp-signal-display.labels" . | indent 4 }}
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/proxy-read-timeout: "3600"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "3600"
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    nginx.ingress.kubernetes.io/websocket-services: "qa-metric-api"
    nginx.org/websocket-services: "qa-metric-api"
    nginx.ingress.kubernetes.io/configuration-snippet: |
          more_clear_headers "Server";
          proxy_hide_header "Cookie";
          more_clear_headers "Cookie";
          proxy_set_header Cookie "";
    nginx.ingress.kubernetes.io/server-snippets: |
     location / {
      proxy_set_header Upgrade $http_upgrade;
      proxy_http_version 1.1;
      proxy_set_header X-Forwarded-Host $http_host;
      proxy_set_header X-Forwarded-Proto $scheme;
      proxy_set_header X-Forwarded-For $remote_addr;
      proxy_set_header Host $host;
      proxy_set_header Connection $connection_upgrade;
      proxy_cache_bypass $http_upgrade;
      proxy_set_header Cookie "";
      proxy_hide_header Cookie;
      proxy_ignore_headers Cookie;
      }
  labels:
    app.kubernetes.io/name: {{ .Chart.Name }}-api
{{ include "ska-sdp-signal-display.labels" . | indent 4 }}
  name: {{ $.Chart.Name }}-api
  namespace: {{ .Release.Namespace }}
spec:
  ingressClassName: nginx
  rules:
  - http:
      paths:
      - backend:
          service:
            name: {{ $.Chart.Name }}-api
            port:
              number: 80
        path: "{{ include "ska-sdp-signal-display.ingress_path_prepend" . }}/api/(.*)"
        pathType: ImplementationSpecific
{{- end }}
{{- if $.Values.display.enabled }}
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
{{ include "ska-sdp-signal-display.labels" . | indent 4 }}
    nginx.ingress.kubernetes.io/rewrite-target: /$1
  labels:
    app.kubernetes.io/name: qa-metric-display
{{ include "ska-sdp-signal-display.labels" . | indent 4 }}
  name: {{ $.Chart.Name }}-display
  namespace: {{ .Release.Namespace }}
spec:
  ingressClassName: nginx
  rules:
  - http:
      paths:
      - backend:
          service:
            name: {{ $.Chart.Name }}-display
            port:
              number: 80
        path: "{{ include "ska-sdp-signal-display.ingress_path_prepend" . }}/display/(.*)"
        pathType: ImplementationSpecific
{{- end }}
{{- end }}
